Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.kems
Class ECIESKeyEncapsulation

    java.lang.Object
      org.bouncycastle.crypto.kems.ECIESKeyEncapsulation

All Implemented Interfaces:
  KeyEncapsulation

Deprecated. use ECIESKEMGenerator, ECIESKEMExtractor

public class ECIESKeyEncapsulation
extends java.lang.Object
implements KeyEncapsulation

The ECIES Key Encapsulation Mechanism (ECIES-KEM) from ISO 18033-2.

Constructor Summary
`ECIESKeyEncapsulation(DerivationFunction kdf, java.security.SecureRandom rnd)` Deprecated. Set up the ECIES-KEM.
`ECIESKeyEncapsulation(DerivationFunction kdf, java.security.SecureRandom rnd, boolean cofactorMode, boolean oldCofactorMode, boolean singleHashMode)` Deprecated. Set up the ECIES-KEM.

Method Summary
`CipherParameters` | `decrypt(byte[] in, int keyLen)` Deprecated. use ECIESKEMExtractor
`CipherParameters` | `decrypt(byte[] in, int inOff, int inLen, int keyLen)` Deprecated. use ECIESKEMExtractor
`CipherParameters` | `encrypt(byte[] out, int keyLen)` Deprecated. use ECIESKEMGenerator
`CipherParameters` | `encrypt(byte[] out, int outOff, int keyLen)` Deprecated. use ECIESKEMGenerator
`void` | `init(CipherParameters key)` Deprecated. Initialise the ECIES-KEM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECIESKeyEncapsulation

    public ECIESKeyEncapsulation(DerivationFunction kdf,
                                 java.security.SecureRandom rnd)

  Deprecated.
  Set up the ECIES-KEM.

Parameters:
  `kdf` - the key derivation function to be used.
  `rnd` - the random source for the session key.

### ECIESKeyEncapsulation

    public ECIESKeyEncapsulation(DerivationFunction kdf,
                                 java.security.SecureRandom rnd,
                                 boolean cofactorMode,
                                 boolean oldCofactorMode,
                                 boolean singleHashMode)

  Deprecated.
  Set up the ECIES-KEM.

Parameters:
  `kdf` - the key derivation function to be used.
  `rnd` - the random source for the session key.
  `cofactorMode` - if true use the new cofactor ECDH.
  `oldCofactorMode` - if true use the old cofactor ECDH.
  `singleHashMode` - if true use single hash mode.

Method Detail

### init

    public void init(CipherParameters key)
              throws java.lang.IllegalArgumentException

  Deprecated.
  Initialise the ECIES-KEM.

  Specified by:
    `init` in interface `KeyEncapsulation`
  Parameters:
    `key` - the recipient's public (for encryption) or private (for decryption) key.
  Throws:
    `java.lang.IllegalArgumentException`

### encrypt

    public CipherParameters encrypt(byte[] out,
                                    int outOff,
                                    int keyLen)
                             throws java.lang.IllegalArgumentException

  Deprecated. use ECIESKEMGenerator

  Generate and encapsulate a random session key.

  Specified by:
    `encrypt` in interface `KeyEncapsulation`
  Parameters:
    `out` - the output buffer for the encapsulated key.
    `outOff` - the offset for the output buffer.
    `keyLen` - the length of the session key.
  Returns:
    the random session key.
  Throws:
    `java.lang.IllegalArgumentException`

### encrypt

    public CipherParameters encrypt(byte[] out,
                                    int keyLen)

  Deprecated. use ECIESKEMGenerator

  Generate and encapsulate a random session key.

  Parameters:
    `out` - the output buffer for the encapsulated key.
    `keyLen` - the length of the session key.
  Returns:
    the random session key.

### decrypt

    public CipherParameters decrypt(byte[] in,
                                    int inOff,
                                    int inLen,
                                    int keyLen)
                             throws java.lang.IllegalArgumentException

  Deprecated. use ECIESKEMExtractor

  Decrypt an encapsulated session key.

  Specified by:
    `decrypt` in interface `KeyEncapsulation`
  Parameters:
    `in` - the input buffer for the encapsulated key.
    `inOff` - the offset for the input buffer.
    `inLen` - the length of the encapsulated key.
    `keyLen` - the length of the session key.
  Returns:
    the session key.
  Throws:
    `java.lang.IllegalArgumentException`

### decrypt

    public CipherParameters decrypt(byte[] in,
                                    int keyLen)

  Deprecated. use ECIESKEMExtractor

  Decrypt an encapsulated session key.

  Parameters:
    `in` - the input buffer for the encapsulated key.
    `keyLen` - the length of the session key.
  Returns:
    the session key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD